Bug 6035 - Keyboard mapping for Canada French not correct
Summary: Keyboard mapping for Canada French not correct
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xext (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high critical
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords: l10n
Depends on: 4411
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 08:10 UTC by Leslie Satenstein
Modified: 2011-10-15 17:30 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leslie Satenstein 2006-02-25 08:10:32 UTC
I have Canada French mapping translating correctly in the Fedora Core4 version.

The translate table for Canada French either does not exist, or is wrong for
Fedora Core5.  

One new keyboard mapping was introduced a year ago, It is the alt-char lower
case E, which is used for the euro symbol.

In Fedora Core5, I can work around the problem, mainly by using the terminal
mode to enter           setxkbdmap "ca(fr)".  The work around is not universal,
in that it works fully in Gnome, but not fully in KDE, and of course, in
terminal mode (ctl-alt f1...) hardly at all.

I would like to see a fix to provide the correct mappings for Core5 before go
live. Similar request for SUSIE 10+ 

By the way, I filed this problem via bugzilla for Core5 test1 (Dec 2005).
Nothing was done and we are in test3, prior to go final stage. I was advised
today to re-file here.
Comment 1 Leslie Satenstein 2006-06-13 17:43:55 UTC
The original core4 was fine, a revised core5, the one with the existing keyboard
definition is perfect and was the same correct one that was released with Core5
vanilla and the re-spin dvd. 

I have been using the Canadian Multilingual keyboard for the past year, with
absolutely no errors in the keyboard mapping

So, as far as I am concerned, this issue can be closed, since I was the one who
opened it.

Leslie Satenstein  


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.